Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class GenerateEclipseJdt

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.PropertiesGeneratorTask
                  org.gradle.plugins.ide.eclipse.GenerateEclipseJdt

    class GenerateEclipseJdt
    extends PropertiesGeneratorTask

Generates the Eclipse JDT configuration file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via EclipseJdt.

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`EclipseJdt` | `jdt` Eclipse project model that contains information needed for this task

Constructor Summary
`GenerateEclipseJdt()`

Method Summary
`protected void` | `configure(Jdt jdtContent)`
`protected Jdt` | `create()`

Methods inherited from class PropertiesGeneratorTask
configure, create, getTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### jdt

    EclipseJdt jdt

  Eclipse project model that contains information needed for this task

Constructor Detail

### GenerateEclipseJdt

    GenerateEclipseJdt()

Method Detail

### configure

    protected void configure(Jdt jdtContent)

### create

    protected Jdt create()

Gradle API 1.10